using Gready_Poang.CommandClasses;
using Gready_Poang.Views;

namespace Gready_Poang.Pages;

public class ParticipantListPage : BasePage
{
    private readonly ParticipantViewModelCommands _vm;

    public ParticipantListPage(ParticipantViewModelCommands vm, SplashViewModelCommands splashVm)
        : base(new ParticipantListView(vm), splashVm)
    {
        Title = "Deltagar Lista";
        _vm = vm;
    }

    protected override void OnAppearing()
    {
        base.OnAppearing();
        BindingContext = _vm;
        _vm.Get();
    }

}
